curl https://api.thanxsandbox.com/partner/feedbacks \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"feedbacks": [
{
"id": "590485d6f0",
"user_id": "fsjlk",
"merchant_id": "woeri34",
"location_id": "fgr2349gh",
"state": "responded",
"expires_at": "2020-01-07T20:00:00Z",
"rating": 10,
"review": "Customer's written review for their latest purchase.",
"response": "Merchant's written response to the customer's review.",
"purchase": {
"id": "916895d48a",
"purchased_at": "2020-01-01T20:00:00Z",
"amount": 16.0,
"order": {
"id": "aepo3cme2p",
"provider": "Toast"
}
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Feedbacks
Get Feedback Records
GET
/
partner
/
feedbacks
curl https://api.thanxsandbox.com/partner/feedbacks \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"feedbacks": [
{
"id": "590485d6f0",
"user_id": "fsjlk",
"merchant_id": "woeri34",
"location_id": "fgr2349gh",
"state": "responded",
"expires_at": "2020-01-07T20:00:00Z",
"rating": 10,
"review": "Customer's written review for their latest purchase.",
"response": "Merchant's written response to the customer's review.",
"purchase": {
"id": "916895d48a",
"purchased_at": "2020-01-01T20:00:00Z",
"amount": 16.0,
"order": {
"id": "aepo3cme2p",
"provider": "Toast"
}
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Deprecated. The NPS feedback endpoints are being retired, and this one is
scheduled for removal 30 days after the Recovery AI launch. Recovery AI,
Thanx’s automated guest recovery system, replaces the NPS experience, and it
has no partner-facing API. Migrate off this endpoint before then, and contact
your Thanx representative about Recovery AI.
Scope required:
feedbacks.readParameters
string
required
Filter by Merchant ID
string
Filter by User ID
datetime
Filter by Location ID
array[string]
Filter by state (
unviewed, viewed, expired, rated, reviewed,
responded). The default is to return all feedback records regardless of
state.datetime
Filter by the timestamp the feedback record was last updated (
ISO8601-format)integer
The current page of paginated resources.
- Default:
1.
integer
Number of records to be returned per API request.
- Default:
10 - Minimum:
1 - Maximum:
100
Response
string
The ID of the feedback record
string
The user ID
string
The merchant ID
string
Location ID
enum
The state of the feedback record
unviewed- User has an opportunity to leave feedback for a purchase they have made, but has not been displayed the feedback prompt yet.viewed- User viewed the opportunity to leave feedback, but they have not left a NPS or review yet.expired- User did not leave a NPS or review before the feedback expiredrated- User has left a net promoter scorereviewed- User has left a reviewresponded- Merchant has responded to the user's feedback
string
The feedback expiration time in ISO8601-format. Users cannot submit a rating
or review for the associated purchase after this time has elapsed.
string
The ISO8601 timestamp of the purchase the feedback was associated with.
string
The ISO8601 timestamp the feedback was viewed by the consumer
string
The ISO8601 timestamp the feedback was rated by the consumer
string
The ISO8601 timestamp the feedback was reviewed by the consumer
string
The ISO8601 timestamp the feedback was responded to by the merchant
integer
NPS score (null or 1-10)
string
Customer feedback
string
Merchant response
hash
The associated purchase record
hash
curl https://api.thanxsandbox.com/partner/feedbacks \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"feedbacks": [
{
"id": "590485d6f0",
"user_id": "fsjlk",
"merchant_id": "woeri34",
"location_id": "fgr2349gh",
"state": "responded",
"expires_at": "2020-01-07T20:00:00Z",
"rating": 10,
"review": "Customer's written review for their latest purchase.",
"response": "Merchant's written response to the customer's review.",
"purchase": {
"id": "916895d48a",
"purchased_at": "2020-01-01T20:00:00Z",
"amount": 16.0,
"order": {
"id": "aepo3cme2p",
"provider": "Toast"
}
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}